<script lang="ts">
  import Search from '$lib/components/Search.svelte';

  export let title: string,
    href = '',
    handleSearch: null | ((event: any) => void) = null;
</script>

<section class="2xl:px-32 xl:px-24 px-8 space-y-8 {$$props.class}">
    <header class="flex flex-wrap gap-3 justify-between items-end">
        {#if title}
            <h1 class="2xl:text-7xl md:text-5xl text-3xl font-serif">{title}</h1>
        {/if}
        {#if handleSearch}
            <Search on:search={handleSearch}/>
        {/if}
        {#if href}
            <a {href} class="text-neutral-600 font-bold font-serif hover:underline decoration-blue-700">Смотреть всё</a>
        {/if}
    </header>
    <slot/>
</section>